## ngcp-cdr-exporter 14.0.1.1+0~mr14.0.1.1

=== Makefile ===
INSTALL = install
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DIR = $(INSTALL) -d
INSTALL_DATA = $(INSTALL) -m 644

all:

install:
	$(INSTALL_DIR)					$(DESTDIR)/usr/sbin
	$(INSTALL_PROGRAM) cdr-md5.sh 			$(DESTDIR)/usr/sbin/ngcp-cdr-md5
	$(INSTALL_PROGRAM) cdr-exporter.pl 		$(DESTDIR)/usr/sbin/ngcp-cdr-exporter
	$(INSTALL_PROGRAM) event-exporter.pl		$(DESTDIR)/usr/sbin/ngcp-event-exporter
	$(INSTALL_PROGRAM) int-cdr-exporter.pl		$(DESTDIR)/usr/sbin/ngcp-int-cdr-exporter
	$(INSTALL_DIR)					$(DESTDIR)/etc/ngcp-cdr-exporter
	$(INSTALL_DATA) cdr-exporter.conf		$(DESTDIR)/etc/ngcp-cdr-exporter/cdr-exporter.conf
	$(INSTALL_DATA) event-exporter.conf		$(DESTDIR)/etc/ngcp-cdr-exporter/event-exporter.conf
	$(INSTALL_DATA) cdr-exporter.conf		$(DESTDIR)/etc/ngcp-cdr-exporter/int-cdr-exporter.conf

=== debian/changelog ===
ngcp-cdr-exporter (14.0.1.1+0~mr14.0.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 09 Dec 2025 15:31:14 +0100

ngcp-cdr-exporter (14.0.1.0+0~mr14.0.1.0) unstable; urgency=medium

  [ Rene Krenn ]
  * [495b794] MT#63876 prevent adding elements in array refs

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Nov 2025 16:54:38 +0100

ngcp-cdr-exporter (14.0.0.0+0~mr14.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:43:02 +0200

ngcp-cdr-exporter (13.5.0.0+0~mr13.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 20 Jun 2025 10:42:09 +0200

ngcp-cdr-exporter (13.4.0.0+0~mr13.4.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Apr 2025 08:26:19 +0200

ngcp-cdr-exporter (13.3.0.0+0~mr13.3.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 28 Jan 2025 15:13:25 +0100

ngcp-cdr-exporter (13.2.0.0+0~mr13.2.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [930cb43] MT#61459 Do not use Perl indirect object syntax

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 09 Dec 2024 11:24:57 +0100

ngcp-cdr-exporter (13.1.0.0+0~mr13.1.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 01 Oct 2024 09:58:30 +0200

ngcp-cdr-exporter (13.0.0.0+0~mr13.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 28 Jul 2024 12:01:10 +0200

ngcp-cdr-exporter (12.5.0.0+0~mr12.5.0.0) unstable; urgency=medium

  [ Rene Krenn ]
  * [6acae99] MT#59923 export all resellers, if there is no resellerfilter

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 22 May 2024 14:30:00 +0200

ngcp-cdr-exporter (12.4.0.0+0~mr12.4.0.0) unstable; urgency=medium

  [ Rene Krenn ]
  * [0b0f95a] MT#57161 cdr reseller export filter

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 15 Mar 2024 08:46:46 +0100

ngcp-cdr-exporter (12.3.0.0+0~mr12.3.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 15 Jan 2024 14:45:45 +0100

ngcp-cdr-exporter (12.2.0.0+0~mr12.2.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 29 Nov 2023 13:35:24 +0100

ngcp-cdr-exporter (12.1.0.0+0~mr12.1.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [18ae926] MT#58356 Update packaging for bookworm

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 15 Oct 2023 08:22:18 +0200

ngcp-cdr-exporter (12.0.1.0+0~mr12.0.1.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 30 Aug 2023 18:02:59 +0200

ngcp-cdr-exporter (11.5.0.0+0~mr11.5.0.0) unstable; urgency=medium

  [ Rene Krenn ]
  * [1a6443c] MT#57367 prevent reseller_fields appended to admin fields

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 26 Jun 2023 14:09:05 +0200

ngcp-cdr-exporter (11.4.0.0+0~mr11.4.0.0) unstable; urgency=medium

  [ Rene Krenn ]
  * [d39bac4] MT#56741 do not eval empty transformations

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 24 Mar 2023 13:02:36 +0100

ngcp-cdr-exporter (11.3.0.0+0~mr11.3.0.0) unstable; urgency=medium

  [ Rene Krenn ]
  * [6e59553] MT#55638 fix resolving ENABLED property of different streams
  * [c36782c] MT#55939 no base64 decoding for uninitialized values
  * [9191680] TT#56100 add ${colnames} parameter for CSV_HEADER patterns

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 17 Jan 2023 17:41:19 +0100

ngcp-cdr-exporter (11.2.0.0+0~mr11.2.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 04 Oct 2022 13:49:19 +0200

ngcp-cdr-exporter (11.1.0.0+0~mr11.1.0.0) unstable; urgency=medium

  [ Rene Krenn ]
  * [23131d7] TT#181800 use Time::Piece->strftime

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 22 Aug 2022 19:59:52 +0200

ngcp-cdr-exporter (11.0.0.0+0~mr11.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 07 Jun 2022 11:41:30 +0200

ngcp-cdr-exporter (10.5.0.0+0~mr10.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 30 Mar 2022 23:57:53 +0200

ngcp-cdr-exporter (10.4.0.0+0~mr10.4.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Jan 2022 16:53:59 +0100

ngcp-cdr-exporter (10.3.0.0+0~mr10.3.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [e98b9b9] TT#124273 Update packaging for bullseye
  * [1239057] TT#124273 Use execute_after_ instead of override_ for dh command

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 23 Nov 2021 14:16:24 +0100

ngcp-cdr-exporter (10.2.0.0+0~mr10.2.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 05 Oct 2021 13:17:37 +0200

ngcp-cdr-exporter (10.1.0.0+0~mr10.1.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 24 Aug 2021 16:48:55 +0200

ngcp-cdr-exporter (10.0.0.0+0~mr10.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 14 Jun 2021 16:34:11 +0200

ngcp-cdr-exporter (9.5.0.0+0~mr9.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 20 Apr 2021 11:55:45 +0200

ngcp-cdr-exporter (9.4.0.0+0~mr9.4.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 15 Feb 2021 17:51:02 +0100

ngcp-cdr-exporter (9.3.0.0+0~mr9.3.0.0) unstable; urgency=medium

  [ Rene Krenn ]
  * [3e9eb3a] TT#102100 export field transformations
  * [3703c16] TT#104850 fix default file header format (eventexporter)


=== debian/control ===
Source: ngcp-cdr-exporter
Section: utils
Priority: optional
Maintainer: Sipwise Development Team <support@sipwise.com>
Homepage: https://www.sipwise.com/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),

Package: ngcp-cdr-exporter
Architecture: all
Depends:
 libclass-dbi-mysql-perl,
 libconfig-simple-perl,
 libio-pty-perl,
 libmime-base64-perl,
 libnet-sftp-foreign-perl,
 libproc-processtable-perl,
 ${misc:Depends},
 ${perl:Depends},
Description: CDR export utilities for NGCP platforms
 These utilities export CDRs generated by NGCP platforms to CSV files that
 can be fetched by 3rd party tools.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

execute_after_dh_installcron:
	dh_installcron --name=ngcp-event-exporter
	dh_installcron --name=ngcp-int-cdr-exporter
